TLSRPT_OPEN(3)

NAME
tlsrpt_open - `tlsrpt_open` allocates and initializes the `struct tlsrpt_connection_t` object

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_open(struct tlsrpt_connection_t** pcon, const char* socketname)

DESCRIPTION

The function tlsrpt_open allocates and initializes the struct tlsrpt_connection_t object. This function creates the socket and initializes the destination socket address of the TLSRPT collectd. There is no actual connection internally, the socket is a connection-less datagram socket.

RETURN VALUE

The tlsrpt_open function returns 0 on success and a combined error code on failure. The combined error code can be analyzed with the tlsrpt_strerror function.

SEE ALSO

man:tlsrpt_close[3], man:tlsrpt_strerror[3], man:tlsrpt_error_code_is_internal[3]

AUTHOR

Boris Lohner